import { createAsyncStructure, createActionStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  getRooms: createAsyncStructure(`${constants.prefix}_get_rooms`),
  getRoomsMore: createAsyncStructure(`${constants.prefix}_get_rooms_more`),
  getRoomInfo: createAsyncStructure(`${constants.prefix}_get_room_info`),
  getRoomMessage: createAsyncStructure(`${constants.prefix}_get_room_message`),
  createMessage: createAsyncStructure(`${constants.prefix}_create_message`),
  createRoom: createAsyncStructure(`${constants.prefix}_create_rooms`),
  removePeopleRoom: createAsyncStructure(`${constants.prefix}_remove_room_people`),
  addPeopleRoom: createAsyncStructure(`${constants.prefix}_add_room_people`),
  roomSeen: createAsyncStructure(`${constants.prefix}_seen_room`),
  resetMessage: createActionStructure(`${constants.prefix}_reset_room_message`),
};

export default actions;
